ExifInteroperabilityTagSet (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.imageio.plugins.tiff, class: ExifInteroperabilityTagSet
Keywords: javax.imageio.plugins.tiff.ExifInteroperabilityTagSet class

# Class ExifInteroperabilityTagSet

java.lang.Object
javax.imageio.plugins.tiff.TIFFTagSet
javax.imageio.plugins.tiff.ExifInteroperabilityTagSet

public final class ExifInteroperabilityTagSet extends TIFFTagSet
A class representing the tags found in an Exif Interoperability IFD.

Since:
  9
See Also:
  - `ExifTIFFTagSet`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `INTEROPERABILITY_INDEX_R98`
  A value to be used with the "InteroperabilityIndex" tag.
  `static final String`
  `INTEROPERABILITY_INDEX_THM`
  A value to be used with the "InteroperabilityIndex" tag.
  `static final int`
  `TAG_INTEROPERABILITY_INDEX`
  A tag indicating the identification of the Interoperability rule (type ASCII).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExifInteroperabilityTagSet`
  `getInstance()`
  Returns the shared instance of `ExifInteroperabilityTagSet`.

  ### Methods declared in class TIFFTagSet

  `getTag, getTag, getTagNames, getTagNumbers`
  Modifier and Type
  Method
  Description
  `TIFFTag`
  `getTag(int tagNumber)`
  Returns the `TIFFTag` from this set that is associated with the given tag number, or `null` if no tag exists for that number.
  `TIFFTag`
  `getTag(String tagName)`
  Returns the `TIFFTag` having the given tag name, or `null` if the named tag does not belong to this tag set.
  `SortedSet<String>`
  `getTagNames()`
  Retrieves an unmodifiable lexicographically increasing set of tag names.
  `SortedSet<Integer>`
  `getTagNumbers()`
  Retrieves an unmodifiable numerically increasing set of tag numbers.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### TAG_INTEROPERABILITY_INDEX

    public static final int TAG_INTEROPERABILITY_INDEX
    A tag indicating the identification of the Interoperability rule (type ASCII).
    See Also:
      - `INTEROPERABILITY_INDEX_R98`
      - `INTEROPERABILITY_INDEX_THM`
      - Constant Field Values

  - ### INTEROPERABILITY_INDEX_R98

    public static final String INTEROPERABILITY_INDEX_R98
    A value to be used with the "InteroperabilityIndex" tag. Indicates a file conforming to the R98 file specification of Recommended Exif Interoperability Rules (ExifR98) or to the DCF basic file stipulated by the Design Rule for Camera File System (type ASCII).
    See Also:
      - `TAG_INTEROPERABILITY_INDEX`
      - Constant Field Values

  - ### INTEROPERABILITY_INDEX_THM

    public static final String INTEROPERABILITY_INDEX_THM
    A value to be used with the "InteroperabilityIndex" tag. Indicates a file conforming to the DCF thumbnail file stipulated by the Design rule for Camera File System (type ASCII).
    See Also:
      - `TAG_INTEROPERABILITY_INDEX`
      - Constant Field Values

- ## Method Details

  - ### getInstance

    public static ExifInteroperabilityTagSet getInstance()
    Returns the shared instance of `ExifInteroperabilityTagSet`.
    Returns:
      the `ExifInteroperabilityTagSet` instance.